/* GadgetsData.h -- data access class */
/* Created 2/25/97 10:03 PM by AppMaker */

#pragma once

#include <CDataFile.h>

class CDocument;

// Define the creator type and file type for your application:
#define kSignature		'XXXX'
#define kFileType		'TEXT'

/*----------*/
class CGadgetsData : public CDataFile {
public:
	Boolean			hasFile;

	virtual void	IGadgetsData	(CDocument	*theDocument);
	void	Dispose		(void);						// is override

	void	Close		(void);						// is override

	virtual void	OpenData	(SignedByte		permission);
	virtual Boolean	Save		(void);
	virtual Boolean	SaveAs		(SFReply		*macSFReply);
	virtual void	Revert		(void);

// accessor functions, replace these with application-specific functions:
	virtual void	GetGadgets		(void);
	virtual void	PutGadgets		(void);
	virtual void	AddGadgets		(void);
	virtual void	DeleteGadgets		(void);

protected:
	CDocument		*itsDocument;

// define your own internal data structures:
	Handle			itsData;

	virtual void	ReadData		(void);	
	virtual Boolean	WriteData		(void);	
	virtual void	DisposeData		(void);	

}; /* CGadgetsData */
